#include "multihead-test.h"
#include <QApplication>
#include <QDesktopWidget>
#include <QDebug>

TestWindow::TestWindow():QFrame()
{
    connect(qApp->desktop(), SIGNAL(screenCountChanged(int)), SLOT(screenChanged()));
    move(0, 0);
}

void TestWindow::screenChanged()
{
    // move the window to the default screen
    move(qApp->desktop()->availableGeometry().topLeft());
    qDebug() << "effectiveWinId()" << hex << effectiveWinId();
}
